summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Bob Funk2023-05-26 18:42:12 +0200
committer Willy Sudiarto Raharjo2023-05-27 03:08:51 +0200
commite1f9008eee3bcb216af6ca6da724b12e1c203968 (patch)
treef2e8c921290da1d956f4118aceffc9652426d3b1 /misc
parent6d40bb2c1ed0d99a9e5518f56d3f354573eea1d9 (diff)
downloadslackbuilds-e1f9008eee3bcb216af6ca6da724b12e1c203968.tar.gz
misc/feedbackd: Added (Haptic/visual/audio feedback for GNOME)
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'misc')
-rw-r--r--misc/feedbackd/63cba7867147edfa2525ef85af667d48a6b0752e.diff16
-rw-r--r--misc/feedbackd/README5
-rw-r--r--misc/feedbackd/doinst.sh6
-rw-r--r--misc/feedbackd/feedbackd.SlackBuild127
-rw-r--r--misc/feedbackd/feedbackd.info12
-rw-r--r--misc/feedbackd/slack-desc19
6 files changed, 185 insertions, 0 deletions
diff --git a/misc/feedbackd/63cba7867147edfa2525ef85af667d48a6b0752e.diff b/misc/feedbackd/63cba7867147edfa2525ef85af667d48a6b0752e.diff
new file mode 100644
index 0000000000..93b81394fc
--- /dev/null
+++ b/misc/feedbackd/63cba7867147edfa2525ef85af667d48a6b0752e.diff
@@ -0,0 +1,16 @@
+diff --git a/src/gm-svg-path.c b/src/gm-svg-path.c
+index f572c2820e92659ad5035218382f70c2dec9ee71..59fc5b1cb4770383b3dcbe0e5e1bccb25e817a30 100644
+--- a/src/gm-svg-path.c
++++ b/src/gm-svg-path.c
+@@ -10,6 +10,11 @@
+
+ #include <math.h>
+
++#if !GLIB_CHECK_VERSION(2, 74, 0)
++# define G_REGEX_DEFAULT 0
++# define G_REGEX_MATCH_DEFAULT 0
++#endif
++
+ struct bbox {
+ int x1, x2, y1, y2;
+
diff --git a/misc/feedbackd/README b/misc/feedbackd/README
new file mode 100644
index 0000000000..3f36436005
--- /dev/null
+++ b/misc/feedbackd/README
@@ -0,0 +1,5 @@
+Haptic/visual/audio feedback for GNOME
+
+feedbackd provides a DBus daemon (feedbackd) to act on events to provide
+haptic, visual and audio feedback. It offers a library (libfeedback) and
+GObject introspection bindings to ease using it from applications.
diff --git a/misc/feedbackd/doinst.sh b/misc/feedbackd/doinst.sh
new file mode 100644
index 0000000000..56b9e419c1
--- /dev/null
+++ b/misc/feedbackd/doinst.sh
@@ -0,0 +1,6 @@
+if [ -e usr/share/glib-2.0/schemas ]; then
+ if [ -x /usr/bin/glib-compile-schemas ]; then
+ /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
+ fi
+fi
+
diff --git a/misc/feedbackd/feedbackd.SlackBuild b/misc/feedbackd/feedbackd.SlackBuild
new file mode 100644
index 0000000000..cdb5c7d6bd
--- /dev/null
+++ b/misc/feedbackd/feedbackd.SlackBuild
@@ -0,0 +1,127 @@
+#!/bin/bash
+
+# Slackware build script for feedbackd.
+
+# Copyright 2023, Bob Funk, Winnipeg Canada
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Note: gmobile is a subproject that will be git cloned during the build if not
+# present. Instead of allowing that to happen, we download the gmobile subproject
+# with the slackbuild source files and patch/install it ourselves.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=feedbackd
+VERSION=${VERSION:-0.1.0}
+SRCNAM1=$PRGNAM
+SRCVER1="v${VERSION}"
+SRCNAM2=gmobile
+SRCVER2="v0.0.1"
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$SRCNAM1-$SRCVER1.tar.gz
+mv $SRCNAM1-$SRCVER1 $PRGNAM-$VERSION
+
+# Extract the gmobile subproject and move to its location:
+tar xvf $CWD/$SRCNAM2-$SRCVER2.tar.gz
+cp -a $SRCNAM2-$SRCVER2/* $PRGNAM-$VERSION/subprojects/gmobile/
+# Apply this commit from gmobile, which fixes building with older
+# glib2 versions, i.e. on Slackware 15.0:
+( cd $PRGNAM-$VERSION/subprojects/gmobile && patch -Np1 -i $CWD/63cba7867147edfa2525ef85af667d48a6b0752e.diff )
+
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir build
+cd build
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ meson .. \
+ --buildtype=release \
+ --infodir=/usr/info \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ -Dstrip=true
+ "${NINJA:=ninja}"
+ DESTDIR=$PKG $NINJA install
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING COPYING.LIB NEWS README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/misc/feedbackd/feedbackd.info b/misc/feedbackd/feedbackd.info
new file mode 100644
index 0000000000..9ac5276c6e
--- /dev/null
+++ b/misc/feedbackd/feedbackd.info
@@ -0,0 +1,12 @@
+PRGNAM="feedbackd"
+VERSION="0.1.0"
+HOMEPAGE="https://source.puri.sm/Librem5/feedbackd"
+DOWNLOAD="https://source.puri.sm/Librem5/feedbackd/-/archive/v0.1.0/feedbackd-v0.1.0.tar.gz \
+https://gitlab.gnome.org/guidog/gmobile/-/archive/v0.0.1/gmobile-v0.0.1.tar.gz"
+MD5SUM="0968f6c4f6b8601b365fc2b341b1bde6 \
+61feafaffb7c82eca3876504a8d0f0d5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="gsound"
+MAINTAINER="Bob Funk"
+EMAIL="bobfunk11@gmail.com"
diff --git a/misc/feedbackd/slack-desc b/misc/feedbackd/slack-desc
new file mode 100644
index 0000000000..2ace92a5db
--- /dev/null
+++ b/misc/feedbackd/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+feedbackd: feedbackd (Haptic/visual/audio feedback for GNOME)
+feedbackd:
+feedbackd: feedbackd provides a daemon to act on events to provide haptic, visual
+feedbackd: and audio feedback.
+feedbackd:
+feedbackd:
+feedbackd:
+feedbackd:
+feedbackd:
+feedbackd: https://source.puri.sm/Librem5/feedbackd
+feedbackd: